com.icesoft.faces.context.effects

## Class Pulsate

- java.lang.Object
- - com.icesoft.faces.context.effects.Effect
  - - com.icesoft.faces.context.effects.Pulsate

- All Implemented Interfaces:
    java.io.Serializable

      public class Pulsate
      extends Effect

  Pulsate or flash an HTML element
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.context.effects.Effect

      `ea`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pulsate()` Pulsate for 5 seconds
    `Pulsate(float duration)` Pulsate for a givin duration (In seconds)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `float` | `getDuration()` Get the duration (Seconds)
    `java.lang.String` | `getFunctionName()` Get the Javascript function name
    `int` | `hashCode()`
    `void` | `setDuration(float duration)` Set the duration (Seconds)

    - ### Methods inherited from class com.icesoft.faces.context.effects.Effect

      `getDelay, getFps, getFrom, getId, getIntfromString, getQueue, getSequence, getSequenceId, getTo, isFired, isQueued, isQueueEnd, isSubmit, isSync, isTransitory, setDelay, setFired, setFps, setFrom, setId, setOptions, setQueue, setQueued, setQueueEnd, setSequence, setSequenceId, setSubmit, setSync, setTo, setTransitory, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Pulsate

          public Pulsate()

      Pulsate for 5 seconds

    - #### Pulsate

          public Pulsate(float duration)

      Pulsate for a givin duration (In seconds)
      Parameters:
        `duration` -

  - ### Method Detail

    - #### getDuration

          public float getDuration()

      Get the duration (Seconds)
      Overrides:
        `getDuration` in class `Effect`
      Returns:

    - #### setDuration

          public void setDuration(float duration)

      Set the duration (Seconds)
      Overrides:
        `setDuration` in class `Effect`
      Parameters:
        `duration` -

    - #### getFunctionName

          public java.lang.String getFunctionName()

      Get the Javascript function name
      Specified by:
        `getFunctionName` in class `Effect`
      Returns:

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Effect`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `Effect`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.